# How to query using REST API

After creating a metadata and after creating contents, you will query your data.

With the parameters you can control a lot of things:

* condition in the query
* order of result
* pagination of query
* choose the selection field

If you need more power to querying your data, you should watch:

* [select queries](/snello-cms/select-queries.md)
* [conditions](/snello-cms/conditions.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.snello.io/snello-cms/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
